View Issue Details

IDProjectCategoryView StatusLast Update
0005962unrealircdpublic2022-05-27 08:49
Reporterk4be Assigned Tosyzop  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.2.1.1 
Fixed in Version5.2.3 
Summary0005962: CHATHISTORY command on -H channel results in a hard error
Description
CHATHISTORY LATEST #asdfqwerty * 10
:legowisko.pirc.pl FAIL CHATHISTORY INVALID_TARGET LATEST #asdfqwerty :Messages could not be retrieved

This appears to cause bright red error messages and makes the client give up on further CHATHISTORY requests (for other channels for example).
I am testing with the only client that currently claims to support CHATHISTORY, namely gamja.
Expected behaviour would be to act like no history is stored.
TagsNo tags attached.
3rd party modules

Activities

syzop

2021-07-11 08:56

administrator   ~0022102

I think regardless to who is right, you or me, it would be a good idea to clear this up with the specification writers as currently apparently it is not clear what is "correct".
It would be wise if the specification is updated to include text on what to do in such a situation (with or without example), currently it is not covered and the case where a channel is -H or similar is a common case that several IRCds (and clients) have to deal with.

k4be

2021-07-11 09:37

developer   ~0022103

I've posted the issue to the spec thread too, as this is not limited to UnrealIRCd indeed.
https://github.com/ircv3/ircv3-specifications/issues/437#issuecomment-877704682
Unreal PR aiming for the change:
https://github.com/unrealircd/unrealircd/pull/156

syzop

2022-05-27 08:49

administrator   ~0022529

Last edited: 2022-05-27 08:49

Done in Dec 2021.

Cleared up here https://github.com/ircv3/ircv3-specifications/issues/437#issuecomment-981057377.

Change is in 5.2.3 / 6.0.1.
Commit: https://github.com/unrealircd/unrealircd/commit/3059f3289a7235edda8e1a58e422e9c904dfd428

commit 3059f3289a7235edda8e1a58e422e9c904dfd428
Author: Bram Matthys <syzop@vulnscan.org>
Date: Sun Dec 19 10:45:52 2021 +0100

    Channel is not +H? Send empty response/batch (as per IRCv3 discussion)
    
    Backport of https://github.com/unrealircd/unrealircd/pull/156
    (simplified)

Issue History

Date Modified Username Field Change
2021-07-10 22:52 k4be New Issue
2021-07-10 22:53 k4be Description Updated
2021-07-11 08:56 syzop Note Added: 0022102
2021-07-11 09:37 k4be Note Added: 0022103
2022-05-27 08:49 syzop Assigned To => syzop
2022-05-27 08:49 syzop Status new => resolved
2022-05-27 08:49 syzop Resolution open => fixed
2022-05-27 08:49 syzop Fixed in Version => 5.2.3
2022-05-27 08:49 syzop Note Added: 0022529
2022-05-27 08:49 syzop Note Edited: 0022529